package com.meas.system.domain;

import com.meas.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.meas.common.annotation.Excel;

/**
 * 状态对象 meas_status
 *
 * @author Allen
 * @date 2024-07-24
 */
public class MeasStatus extends BaseEntity
        {
private static final long serialVersionUID = 1L;

        /** 序号 */
        private Long id;

        /** 状态 */
                @Excel(name = "状态")
        private String status;

        /** 排序 */
                @Excel(name = "排序")
        private Long index;

        public void setId(Long id) {
            this.id = id;
        }

        public Long getId() {
            return id;
        }
        public void setStatus(String status) {
            this.status = status;
        }

        public String getStatus() {
            return status;
        }
        public void setIndex(Long index) {
            this.index = index;
        }

        public Long getIndex() {
            return index;
        }

@Override
public String toString() {
    return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
        .append("id", getId())
        .append("status", getStatus())
        .append("index", getIndex())
        .append("createBy", getCreateBy())
        .append("createTime", getCreateTime())
        .append("updateBy", getUpdateBy())
        .append("updateTime", getUpdateTime())
            .toString();
}
}
